[package - 130i386-default][net-mgmt/adcli] Failed for adcli-0.9.1 in configure

From: <pkg-fallout_at_FreeBSD.org>
Date: Thu, 21 Oct 2021 09:05:52 GMT
You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     mi_at_aldan.algebra.com
Log URL:        http://beefy15.nyi.freebsd.org/data/130i386-default/f99dd971a4d9/logs/adcli-0.9.1.log
Build URL:      http://beefy15.nyi.freebsd.org/build.html?mastername=130i386-default&build=f99dd971a4d9
Log:

=>> Building net-mgmt/adcli
build started at Thu Oct 21 09:05:40 UTC 2021
port directory: /usr/ports/net-mgmt/adcli
package name: adcli-0.9.1
building for: FreeBSD 130i386-default-job-04 13.0-RELEASE-p4 FreeBSD 13.0-RELEASE-p4 i386
maintained by: mi_at_aldan.algebra.com
Makefile ident: 
Poudriere version: 3.2.8-21-g883afb07
Host OSVERSION: 1400008
Jail OSVERSION: 1300139
Job Id: 04

---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
OSVERSION=1300139
UNAME_v=FreeBSD 13.0-RELEASE-p4
UNAME_r=13.0-RELEASE-p4
BLOCKSIZE=K
MAIL=/var/mail/root
MM_CHARSET=UTF-8
LANG=C.UTF-8
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.8-21-g883afb07
MASTERMNT=/usr/local/poudriere/data/.m/130i386-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/130i386-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=130i386-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/130i386-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for adcli-0.9.1:
     DOCS=on: Build and/or install documentation
====> GSSAPI Security API support: you have to select exactly one of them
     GSSAPI_BASE=on: GSSAPI support via base system (needs Kerberos)
     GSSAPI_HEIMDAL=off: GSSAPI support via security/heimdal
     GSSAPI_MIT=off: GSSAPI support via security/krb5
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
mi_at_aldan.algebra.com
--End MAINTAINER--

--CONFIGURE_ARGS--
--sysconfdir=/etc --prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
ac_cv_path_KRB5_CONFIG=/usr/bin/krb5-config	 ac_cv_path_XMLTO=/usr/local/bin/xmlto KRB5_CFLAGS="-I/usr/include"	 KRB5_LIBS="-lkrb5 -lgssapi -lgssapi_krb5" XDG_DATA_HOME=/wrkdirs/usr/ports/net-mgmt/adcli/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/net-mgmt/adcli/work  XDG_CACHE_HOME=/wrkdirs/usr/ports/net-mgmt/adcli/work/.cache  HOME=/wrkdirs/usr/ports/net-mgmt/adcli/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/net-mgmt/adcli/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=524288
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/net-mgmt/adcli/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/net-mgmt/adcli/work  XDG_CACHE_HOME=/wrkdirs/usr/ports/net-mgmt/adcli/work/.cache  HOME=/wrkdirs/usr/ports/net-mgmt/adcli/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/net-mgmt/adcli/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  CC="cc" CFLAGS="-O2 -pipe  -I/usr/local/include -DHEIMDAL -fstack-protector-strong -DLDAP_DEPRECATED -fno-strict-aliasing "  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -L/usr/local/lib -fstack-protector-strong " LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -I/usr/local/include -DHEIMDAL -fstack-protector-strong -DLDAP_DEPRECATED -fno-strict-aliasing  "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_
 MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PORTDOCS="" OSREL=13.0 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/adcli"  EXAMPLESDIR="share/examples/adcli"  DATADIR="share/adcli"  WWWDIR="www/adcli"  ETCDIR="etc/adcli"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/adcli DOCSDIR=/usr/local/share/doc/adcli EXAMPLESDIR=/usr/local/share/examples/adcli  WWWDIR=/usr/local/www/adcli ETCDIR=/usr/local/etc/adcli
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 11.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-11.0.1-0-g43ff75f2c3fe) Target: i386-unknown-freebsd13.0 Thread model: posix InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 11.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-11.0.1-0-g43ff75f2c3fe) Target: i386-unknown-freebsd13.0 Thread model: posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-m" "elf_i386_fbsd" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_f2776b26=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
CC_OUTPUT_921dbbb2_160933ec=yes
CC_OUTPUT_921dbbb2_fb62803b=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 11.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-11.0.1-0-g43ff75f2c3fe) Target: i386-unknown-freebsd13.0 Thread model: posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=i386
OPSYS=FreeBSD
_OSRELEASE=13.0-RELEASE-p4
OSREL=13.0
OSVERSION=1300139
PYTHONBASE=/usr/local
CONFIGURE_MAX_CMD_LEN=524288
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  524288
stack size              (kbytes, -s)  65536
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License LGPL21 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   adcli-0.9.1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.17.3.pkg
[130i386-default-job-04] Installing pkg-1.17.3...
[130i386-default-job-04] Extracting pkg-1.17.3: .......... done
===>   adcli-0.9.1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of adcli-0.9.1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License LGPL21 accepted by the user
=> adcli-0.9.1.tar.gz doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch https://gitlab.freedesktop.org/sbose/adcli//uploads/30880d967e79cee789194435e70fbf30/adcli-0.9.1.tar.gz
adcli-0.9.1.tar.gz                                     492 kB   30 MBps    00s
===> Fetching all distfiles required by adcli-0.9.1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License LGPL21 accepted by the user
===> Fetching all distfiles required by adcli-0.9.1 for building
=> SHA256 Checksum OK for adcli-0.9.1.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License LGPL21 accepted by the user
===> Fetching all distfiles required by adcli-0.9.1 for building
===>  Extracting for adcli-0.9.1
=> SHA256 Checksum OK for adcli-0.9.1.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for adcli-0.9.1
===>  Applying FreeBSD patches for adcli-0.9.1 from /usr/ports/net-mgmt/adcli/files
===========================================================================
=======================<phase: build-depends  >============================
===>   adcli-0.9.1 depends on executable: xsltproc - not found
===>   Installing existing package /packages/All/libxslt-1.1.34_2.pkg
[130i386-default-job-04] Installing libxslt-1.1.34_2...
[130i386-default-job-04] `-- Installing libgcrypt-1.9.4...
[130i386-default-job-04] |   `-- Installing indexinfo-0.3.1...
[130i386-default-job-04] |   `-- Extracting indexinfo-0.3.1: .... done
[130i386-default-job-04] |   `-- Installing libgpg-error-1.42...
[130i386-default-job-04] |   | `-- Installing gettext-runtime-0.21...
[130i386-default-job-04] |   | `-- Extracting gettext-runtime-0.21: .......... done
[130i386-default-job-04] |   `-- Extracting libgpg-error-1.42: .......... done
[130i386-default-job-04] `-- Extracting libgcrypt-1.9.4: .......... done
[130i386-default-job-04] `-- Installing libxml2-2.9.12...
[130i386-default-job-04] `-- Extracting libxml2-2.9.12: .......... done
[130i386-default-job-04] Extracting libxslt-1.1.34_2: .......... done
===>   adcli-0.9.1 depends on executable: xsltproc - found
===>   Returning to build of adcli-0.9.1
===>   adcli-0.9.1 depends on package: docbook-xml>0 - not found
===>   Installing existing package /packages/All/docbook-xml-5.0_3.pkg
[130i386-default-job-04] Installing docbook-xml-5.0_3...
[130i386-default-job-04] `-- Installing xmlcatmgr-2.2_2...
[130i386-default-job-04] `-- Extracting xmlcatmgr-2.2_2: ......... done
 + Creating /usr/local/share/sgml/catalog
 + Registering CATALOG catalog.ports (SGML)
 + Creating /usr/local/share/sgml/catalog.ports
 + Creating /usr/local/share/xml/catalog
 + Registering nextCatalog catalog.ports (XML)
 + Creating /usr/local/share/xml/catalog.ports
[130i386-default-job-04] `-- Installing xmlcharent-0.3_2...
[130i386-default-job-04] `-- Extracting xmlcharent-0.3_2: .......... done
[130i386-default-job-04] Extracting docbook-xml-5.0_3: .......... done
=====
Message from xmlcatmgr-2.2_2:

--
The following catalogs are installed:

 1) /usr/local/share/sgml/catalog

   The top level catalog for SGML stuff.  It is not changed
   by any ports/packages except textproc/xmlcatmgr.

 2) /usr/local/share/sgml/catalog.ports

   This catalog is for handling SGML stuff installed under
   /usr/local/share/sgml.  It is changed by ports/packages.

 3) /usr/local/share/xml/catalog

   The top level catalog for XML stuff.  It is not changed
   by any ports/packages except textproc/xmlcatmgr.

 4) /usr/local/share/xml/catalog.ports

   This catalog is for handling XML stuff installed under
   /usr/local/share/xml.  It is changed by ports/packages.
===>   adcli-0.9.1 depends on package: docbook-xml>0 - found
===>   Returning to build of adcli-0.9.1
===>   adcli-0.9.1 depends on package: docbook-xsl>0 - not found
===>   Installing existing package /packages/All/docbook-xsl-1.79.1_1,1.pkg
[130i386-default-job-04] Installing docbook-xsl-1.79.1_1,1...
[130i386-default-job-04] `-- Installing docbook-1.5...
[130i386-default-job-04] |   `-- Installing docbook-sgml-4.5_1...
[130i386-default-job-04] |   | `-- Installing iso8879-1986_3...
[130i386-default-job-04] |   | `-- Extracting iso8879-1986_3: .......... done
[130i386-default-job-04] |   `-- Extracting docbook-sgml-4.5_1: .......... done
[130i386-default-job-04] |   `-- Installing sdocbook-xml-1.1_2,2...
[130i386-default-job-04] |   `-- Extracting sdocbook-xml-1.1_2,2: .......... done
[130i386-default-job-04] Extracting docbook-xsl-1.79.1_1,1: .......... done
===>   adcli-0.9.1 depends on package: docbook-xsl>0 - found
===>   Returning to build of adcli-0.9.1
===>   adcli-0.9.1 depends on executable: xmlto - not found
===>   Installing existing package /packages/All/xmlto-0.0.28.pkg
[130i386-default-job-04] Installing xmlto-0.0.28...
[130i386-default-job-04] `-- Installing bash-5.1.8...
[130i386-default-job-04] |   `-- Installing readline-8.1.1...
[130i386-default-job-04] |   `-- Extracting readline-8.1.1: .......... done
[130i386-default-job-04] `-- Extracting bash-5.1.8: .......... done
[130i386-default-job-04] `-- Installing getopt-1.1.6...
[130i386-default-job-04] `-- Extracting getopt-1.1.6: .......... done
[130i386-default-job-04] `-- Installing libpaper-1.1.24.4...
[130i386-default-job-04] `-- Extracting libpaper-1.1.24.4: .......... done
[130i386-default-job-04] `-- Installing w3m-0.5.3.20210905...
[130i386-default-job-04] |   `-- Installing boehm-gc-8.0.6...
[130i386-default-job-04] |   `-- Extracting boehm-gc-8.0.6: .......... done
[130i386-default-job-04] |   `-- Installing perl5-5.32.1_1...
[130i386-default-job-04] |   `-- Extracting perl5-5.32.1_1: .......... done
[130i386-default-job-04] `-- Extracting w3m-0.5.3.20210905: .......... done
[130i386-default-job-04] Extracting xmlto-0.0.28: .......... done
=====
Message from xmlto-0.0.28:

--
For benefits of conversions away from XHTML1 through XSL-FO,
a stylesheet xhtml2fo.xsl has been installed
into /usr/local/share/xmlto. Example use:

  xmlto pdf -x /usr/local/share/xmlto/xhtml2fo.xsl myXHTML1file.xml

More style sheets for XHTML1 conversions can be found at
<http://www.antennahouse.com/XSLsample/XSLsample.htm>
under "Stylesheet for XHTML to XSL-FO transformation"
===>   adcli-0.9.1 depends on executable: xmlto - found
===>   Returning to build of adcli-0.9.1
===>   adcli-0.9.1 depends on package: autoconf>=2.69 - not found
===>   Installing existing package /packages/All/autoconf-2.69_3.pkg
[130i386-default-job-04] Installing autoconf-2.69_3...
[130i386-default-job-04] `-- Installing autoconf-wrapper-20131203...
[130i386-default-job-04] `-- Extracting autoconf-wrapper-20131203: .......... done
[130i386-default-job-04] `-- Installing m4-1.4.19,1...
[130i386-default-job-04] `-- Extracting m4-1.4.19,1: .......... done
[130i386-default-job-04] Extracting autoconf-2.69_3: .......... done
===>   adcli-0.9.1 depends on package: autoconf>=2.69 - found
===>   Returning to build of adcli-0.9.1
===>   adcli-0.9.1 depends on package: automake>=1.16.1 - not found
===>   Installing existing package /packages/All/automake-1.16.4.pkg
[130i386-default-job-04] Installing automake-1.16.4...
[130i386-default-job-04] Extracting automake-1.16.4: .......... done
===>   adcli-0.9.1 depends on package: automake>=1.16.1 - found
===>   Returning to build of adcli-0.9.1
===========================================================================
=======================<phase: lib-depends    >============================
===>   adcli-0.9.1 depends on shared library: libldap-2.4.so.2 - not found
===>   Installing existing package /packages/All/openldap24-client-2.4.59_2.pkg
[130i386-default-job-04] Installing openldap24-client-2.4.59_2...
[130i386-default-job-04] `-- Installing cyrus-sasl-2.1.27_2...
*** Added group `cyrus' (id 60)
*** Added user `cyrus' (id 60)
[130i386-default-job-04] `-- Extracting cyrus-sasl-2.1.27_2: .......... done
[130i386-default-job-04] Extracting openldap24-client-2.4.59_2: .......... done
=====
Message from cyrus-sasl-2.1.27_2:

--
You can use sasldb2 for authentication, to add users use:

	saslpasswd2 -c username

If you want to enable SMTP AUTH with the system Sendmail, read
Sendmail.README

NOTE: This port has been compiled with a default pwcheck_method of
      auxprop.  If you want to authenticate your user by /etc/passwd,
      PAM or LDAP, install ports/security/cyrus-sasl2-saslauthd and
      set sasl_pwcheck_method to saslauthd after installing the
      Cyrus-IMAPd 2.X port.  You should also check the
      /usr/local/lib/sasl2/*.conf files for the correct
      pwcheck_method.
      If you want to use GSSAPI mechanism, install
      ports/security/cyrus-sasl2-gssapi.
      If you want to use SRP mechanism, install
      ports/security/cyrus-sasl2-srp.
      If you want to use LDAP auxprop plugin, install
      ports/security/cyrus-sasl2-ldapdb.
=====
Message from openldap24-client-2.4.59_2:

--
The OpenLDAP client package has been successfully installed.

Edit
  /usr/local/etc/openldap/ldap.conf
to change the system-wide client defaults.

Try `man ldap.conf' and visit the OpenLDAP FAQ-O-Matic at
  http://www.OpenLDAP.org/faq/index.cgi?file=3
for more information.
===>   adcli-0.9.1 depends on shared library: libldap-2.4.so.2 - found (/usr/local/lib/libldap-2.4.so.2)
===>   Returning to build of adcli-0.9.1
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for adcli-0.9.1
Can't exec "libtoolize": No such file or directory at /usr/local/share/autoconf-2.69/Autom4te/FileUtils.pm line 345, <GEN3> line 5.
autoreconf-2.69: failed to run libtoolize: No such file or directory
autoreconf-2.69: libtoolize is needed because this package uses Libtool
*** Error code 1

Stop.
make: stopped in /usr/ports/net-mgmt/adcli
Received on Thu Oct 21 2021 - 09:05:52 UTC

Original text of this message